com.genesyslab.wfm8.API.service.builder810

## Class RequestInfoHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder810.RequestInfoHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestInfoHolder
      extends java.lang.Object
      implements java.io.Serializable

  Extended information about scheduling request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `agentCount` The number of agents in schedule scenario
    `protected int` | `buildIteration` In case of profile optimization this field indicates the scheduling iteration number starting from 1.
    `protected int` | `dayCount` The number of days in schedule scenario
    `protected int` | `errorCount` The number of error messages so far.
    `protected java.lang.String` | `errorMessage` The last error message
    `protected int` | `executionTime` The time elapsed from scheduling start.
    `protected int` | `maxAgentCount` Maximum possible agent count in the scenario.
    `protected int` | `maxEstimatedAgentCount` Minimum estimated number of agents and profile agents.
    `protected int` | `minAgentCount` Minimum agent count in the scenario.
    `protected int` | `minEstimatedAgentCount` Minimum estimated number of agents and profile agents.
    `protected int` | `percentageDone` Current progress percentage.
    `private static long` | `serialVersionUID`
    `protected int` | `siteCount` The number of sites in schedule scenario
    `protected int` | `stage` The scheduling stage 0 - Task is still in queue and is not being processed.
    `protected java.lang.String` | `stageName` Short string value of the scheduling stage.
    `protected int` | `timeInQueue` The number of seconds elapsed from the moment WFM Builder received this scheduling request.
    `protected int` | `warningCount` The number of scheduling warnings so far.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfoHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAgentCount()` Gets the value of the agentCount property.
    `int` | `getBuildIteration()` Gets the value of the buildIteration property.
    `int` | `getDayCount()` Gets the value of the dayCount property.
    `int` | `getErrorCount()` Gets the value of the errorCount property.
    `java.lang.String` | `getErrorMessage()` Gets the value of the errorMessage property.
    `int` | `getExecutionTime()` Gets the value of the executionTime property.
    `int` | `getMaxAgentCount()` Gets the value of the maxAgentCount property.
    `int` | `getMaxEstimatedAgentCount()` Gets the value of the maxEstimatedAgentCount property.
    `int` | `getMinAgentCount()` Gets the value of the minAgentCount property.
    `int` | `getMinEstimatedAgentCount()` Gets the value of the minEstimatedAgentCount property.
    `int` | `getPercentageDone()` Gets the value of the percentageDone property.
    `int` | `getSiteCount()` Gets the value of the siteCount property.
    `int` | `getStage()` Gets the value of the stage property.
    `java.lang.String` | `getStageName()` Gets the value of the stageName property.
    `int` | `getTimeInQueue()` Gets the value of the timeInQueue property.
    `int` | `getWarningCount()` Gets the value of the warningCount property.
    `int` | `hashCode()`
    `void` | `setAgentCount(int agentCount)` Sets the value of the agentCount property.
    `void` | `setBuildIteration(int buildIteration)` Sets the value of the buildIteration property.
    `void` | `setDayCount(int dayCount)` Sets the value of the dayCount property.
    `void` | `setErrorCount(int errorCount)` Sets the value of the errorCount property.
    `void` | `setErrorMessage(java.lang.String errorMessage)` Sets the value of the errorMessage property.
    `void` | `setExecutionTime(int executionTime)` Sets the value of the executionTime property.
    `void` | `setMaxAgentCount(int maxAgentCount)` Sets the value of the maxAgentCount property.
    `void` | `setMaxEstimatedAgentCount(int maxEstimatedAgentCount)` Sets the value of the maxEstimatedAgentCount property.
    `void` | `setMinAgentCount(int minAgentCount)` Sets the value of the minAgentCount property.
    `void` | `setMinEstimatedAgentCount(int minEstimatedAgentCount)` Sets the value of the minEstimatedAgentCount property.
    `void` | `setPercentageDone(int percentageDone)` Sets the value of the percentageDone property.
    `void` | `setSiteCount(int siteCount)` Sets the value of the siteCount property.
    `void` | `setStage(int stage)` Sets the value of the stage property.
    `void` | `setStageName(java.lang.String stageName)` Sets the value of the stageName property.
    `void` | `setTimeInQueue(int timeInQueue)` Sets the value of the timeInQueue property.
    `void` | `setWarningCount(int warningCount)` Sets the value of the warningCount property.
    `java.lang.String` | `toString()`
    `RequestInfoHolder` | `withAgentCount(int value)`
    `RequestInfoHolder` | `withBuildIteration(int value)`
    `RequestInfoHolder` | `withDayCount(int value)`
    `RequestInfoHolder` | `withErrorCount(int value)`
    `RequestInfoHolder` | `withErrorMessage(java.lang.String value)`
    `RequestInfoHolder` | `withExecutionTime(int value)`
    `RequestInfoHolder` | `withMaxAgentCount(int value)`
    `RequestInfoHolder` | `withMaxEstimatedAgentCount(int value)`
    `RequestInfoHolder` | `withMinAgentCount(int value)`
    `RequestInfoHolder` | `withMinEstimatedAgentCount(int value)`
    `RequestInfoHolder` | `withPercentageDone(int value)`
    `RequestInfoHolder` | `withSiteCount(int value)`
    `RequestInfoHolder` | `withStage(int value)`
    `RequestInfoHolder` | `withStageName(java.lang.String value)`
    `RequestInfoHolder` | `withTimeInQueue(int value)`
    `RequestInfoHolder` | `withWarningCount(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### stage

          protected int stage

      The scheduling stage 0 - Task is still in queue and is not being processed. 1 - Schedule was built and saved. 2 - Task is in progress but was canceled by user and is in process of cancellation. 3 - Task was canceled by user. 10 - Task is in progress. WFM Schedule builder is reading schedule scenario input data. 13 - WFM Schedule builder is building schedule 17 - WFM Schedule builder is saving created schedule. 18 - Schedule building failed due to some error

    - #### stageName

          protected java.lang.String stageName

      Short string value of the scheduling stage.

    - #### siteCount

          protected int siteCount

      The number of sites in schedule scenario

    - #### agentCount

          protected int agentCount

      The number of agents in schedule scenario

    - #### dayCount

          protected int dayCount

      The number of days in schedule scenario

    - #### percentageDone

          protected int percentageDone

      Current progress percentage. Value range: 0-100

    - #### executionTime

          protected int executionTime

      The time elapsed from scheduling start. This value does not include time request spent in queue

    - #### timeInQueue

          protected int timeInQueue

      The number of seconds elapsed from the moment WFM Builder received this scheduling request.

    - #### warningCount

          protected int warningCount

      The number of scheduling warnings so far.

    - #### errorCount

          protected int errorCount

      The number of error messages so far.

    - #### errorMessage

          protected java.lang.String errorMessage

      The last error message

    - #### buildIteration

          protected int buildIteration

      In case of profile optimization this field indicates the scheduling iteration number starting from 1.

    - #### minAgentCount

          protected int minAgentCount

      Minimum agent count in the scenario. This value is different from maxAgentCount in case of profile optimization. In all other cases minAgentCount, maxAgentCount, minEstimatedAgentCount and maxEstimatedAgentCount have the same value.

    - #### maxAgentCount

          protected int maxAgentCount

      Maximum possible agent count in the scenario. This value is different from maxAgentCount in case of profile optimization.

    - #### minEstimatedAgentCount

          protected int minEstimatedAgentCount

      Minimum estimated number of agents and profile agents. In case of profile optimization this is the lower bound of estimated agents and profiles. This value must be equal or higher than minAgentCount.

    - #### maxEstimatedAgentCount

          protected int maxEstimatedAgentCount

      Minimum estimated number of agents and profile agents. In case of profile optimization this is the upper bound of estimated agents and profiles. This value must be less or equal to maxAgentCount.

  - ### Constructor Detail

    - #### RequestInfoHolder

          public RequestInfoHolder()

  - ### Method Detail

    - #### getStage

          public int getStage()

      Gets the value of the stage property.

    - #### setStage

          public void setStage(int stage)

      Sets the value of the stage property.

    - #### withStage

          public RequestInfoHolder withStage(int value)

    - #### getStageName

          public java.lang.String getStageName()

      Gets the value of the stageName property.

    - #### setStageName

          public void setStageName(java.lang.String stageName)

      Sets the value of the stageName property.

    - #### withStageName

          public RequestInfoHolder withStageName(java.lang.String value)

    - #### getSiteCount

          public int getSiteCount()

      Gets the value of the siteCount property.

    - #### setSiteCount

          public void setSiteCount(int siteCount)

      Sets the value of the siteCount property.

    - #### withSiteCount

          public RequestInfoHolder withSiteCount(int value)

    - #### getAgentCount

          public int getAgentCount()

      Gets the value of the agentCount property.

    - #### setAgentCount

          public void setAgentCount(int agentCount)

      Sets the value of the agentCount property.

    - #### withAgentCount

          public RequestInfoHolder withAgentCount(int value)

    - #### getDayCount

          public int getDayCount()

      Gets the value of the dayCount property.

    - #### setDayCount

          public void setDayCount(int dayCount)

      Sets the value of the dayCount property.

    - #### withDayCount

          public RequestInfoHolder withDayCount(int value)

    - #### getPercentageDone

          public int getPercentageDone()

      Gets the value of the percentageDone property.

    - #### setPercentageDone

          public void setPercentageDone(int percentageDone)

      Sets the value of the percentageDone property.

    - #### withPercentageDone

          public RequestInfoHolder withPercentageDone(int value)

    - #### getExecutionTime

          public int getExecutionTime()

      Gets the value of the executionTime property.

    - #### setExecutionTime

          public void setExecutionTime(int executionTime)

      Sets the value of the executionTime property.

    - #### withExecutionTime

          public RequestInfoHolder withExecutionTime(int value)

    - #### getTimeInQueue

          public int getTimeInQueue()

      Gets the value of the timeInQueue property.

    - #### setTimeInQueue

          public void setTimeInQueue(int timeInQueue)

      Sets the value of the timeInQueue property.

    - #### withTimeInQueue

          public RequestInfoHolder withTimeInQueue(int value)

    - #### getWarningCount

          public int getWarningCount()

      Gets the value of the warningCount property.

    - #### setWarningCount

          public void setWarningCount(int warningCount)

      Sets the value of the warningCount property.

    - #### withWarningCount

          public RequestInfoHolder withWarningCount(int value)

    - #### getErrorCount

          public int getErrorCount()

      Gets the value of the errorCount property.

    - #### setErrorCount

          public void setErrorCount(int errorCount)

      Sets the value of the errorCount property.

    - #### withErrorCount

          public RequestInfoHolder withErrorCount(int value)

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets the value of the errorMessage property.

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

      Sets the value of the errorMessage property.

    - #### withErrorMessage

          public RequestInfoHolder withErrorMessage(java.lang.String value)

    - #### getBuildIteration

          public int getBuildIteration()

      Gets the value of the buildIteration property.

    - #### setBuildIteration

          public void setBuildIteration(int buildIteration)

      Sets the value of the buildIteration property.

    - #### withBuildIteration

          public RequestInfoHolder withBuildIteration(int value)

    - #### getMinAgentCount

          public int getMinAgentCount()

      Gets the value of the minAgentCount property.

    - #### setMinAgentCount

          public void setMinAgentCount(int minAgentCount)

      Sets the value of the minAgentCount property.

    - #### withMinAgentCount

          public RequestInfoHolder withMinAgentCount(int value)

    - #### getMaxAgentCount

          public int getMaxAgentCount()

      Gets the value of the maxAgentCount property.

    - #### setMaxAgentCount

          public void setMaxAgentCount(int maxAgentCount)

      Sets the value of the maxAgentCount property.

    - #### withMaxAgentCount

          public RequestInfoHolder withMaxAgentCount(int value)

    - #### getMinEstimatedAgentCount

          public int getMinEstimatedAgentCount()

      Gets the value of the minEstimatedAgentCount property.

    - #### setMinEstimatedAgentCount

          public void setMinEstimatedAgentCount(int minEstimatedAgentCount)

      Sets the value of the minEstimatedAgentCount property.

    - #### withMinEstimatedAgentCount

          public RequestInfoHolder withMinEstimatedAgentCount(int value)

    - #### getMaxEstimatedAgentCount

          public int getMaxEstimatedAgentCount()

      Gets the value of the maxEstimatedAgentCount property.

    - #### setMaxEstimatedAgentCount

          public void setMaxEstimatedAgentCount(int maxEstimatedAgentCount)

      Sets the value of the maxEstimatedAgentCount property.

    - #### withMaxEstimatedAgentCount

          public RequestInfoHolder withMaxEstimatedAgentCount(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.